var preventMultipleNotif;
var cooldownExpired;
var SynthSFX = new Sound({
     source: "UI_Synth_02.ogg" // Credits to Little Robot Sound Factory. Source: https://opengameart.org/content/electric-sound-effects-library
});

function findingAbsorptionEffect() {
	for (i = 0; i < Player.getActivePotionEffects().size(); i++) {
		if (Player.getActivePotionEffects().get(i).getName() == "potion.absorption") {
			return i;
		}
	}
}

TriggerRegister.registerTick("isEndOfAbsorption");
function isEndOfAbsorption() {
	if (findingAbsorptionEffect() >= 0 && Player.getActivePotionEffects().get(findingAbsorptionEffect()).getDuration() == 380) {
		preventMultipleNotif = true;
		new Thread(function () {
					Thread.sleep(20000);
					cooldownExpired = true;
				}).start()	

		return true;
	}
}

TriggerRegister.registerTick("notifyPlayer");
function notifyPlayer() {
	if (ChatLib.removeFormatting(Scoreboard.getTitle()) === "WIZARDS") {
		if (cooldownExpired) {
			if (Player.getHunger() == 20 && preventMultipleNotif) {
				if (findingAbsorptionEffect() == undefined) {
					preventMultipleNotif = false;
					cooldownExpired = false;
					SynthSFX.setAttenuation(0).play();
				}
			}
		}
	}
}